import startCase from 'lodash/startCase';
import { getDeepObjectValue } from 'validate.js';

export var getFieldName = function getFieldName(_ref) {
  var target = _ref.target,
      lang = _ref.lang,
      itemKey = _ref.itemKey,
      dashboardList = _ref.dashboardList,
      dashboardDoc = _ref.dashboardDoc,
      dashboard = _ref.dashboard,
      dashboardConfig = _ref.dashboardConfig;

  var i18n = getDeepObjectValue(dashboardConfig, 'i18n.' + lang + '.fields.' + itemKey);
  if (i18n) return i18n;
  if (target === 'filters') {
    return startCase(itemKey);
  } else if (target === 'doc') {
    return dashboardDoc.label || dashboard.label || startCase(itemKey);
  } else if (target === 'list') {
    return dashboardList.label || dashboard.label || startCase(itemKey);
  } else {
    throw new Error('getFieldName first argument must be list or doc');
  }
};